<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.gyee.frame.mapper.ticket.LaborMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.gyee.frame.model.ticket.Labor">
        <id column="ID" property="id" />
        <result column="LABORNUM" property="labornum" />
        <result column="LABORNAME" property="laborname" />
        <result column="CRAFT" property="craft" />
        <result column="DEPTNUM" property="deptnum" />
        <result column="CREWID" property="crewid" />
        <result column="JOBCODE" property="jobcode" />
        <result column="EMPLOYEETYPE" property="employeetype" />
        <result column="CALNUM" property="calnum" />
        <result column="SHIFTNUM" property="shiftnum" />
        <result column="ENABLED" property="enabled" />
        <result column="EMAIL" property="email" />
        <result column="WKADDRESS" property="wkaddress" />
        <result column="POSTNUM" property="postnum" />
        <result column="HOMEADDRESS" property="homeaddress" />
        <result column="PHONENUM" property="phonenum" />
        <result column="MPHONE" property="mphone" />
        <result column="HOMEPHONE" property="homephone" />
        <result column="PAYRATE" property="payrate" />
        <result column="OTSCALE" property="otscale" />
        <result column="BIRTHDATE" property="birthdate" />
        <result column="HIREDATE" property="hiredate" />
        <result column="OUTSIDE" property="outside" />
        <result column="GLACCOUNT" property="glaccount" />
        <result column="VENDOR" property="vendor" />
        <result column="SUPERVISOR" property="supervisor" />
        <result column="DEFAULTSTORELOC" property="defaultstoreloc" />
        <result column="CONSIGN" property="consign" />
        <result column="CONSIGSDATE" property="consigsdate" />
        <result column="CONSIGEDATE" property="consigedate" />
        <result column="NAVMENUTYPE" property="navmenutype" />
        <result column="SITENUM" property="sitenum" />
        <result column="CORPNUM" property="corpnum" />
        <result column="DEFAULTLOC" property="defaultloc" />
        <result column="AUTHALLDEPT" property="authalldept" />
        <result column="AUTHDEPT" property="authdept" />
        <result column="SHOWMIND" property="showmind" />
        <result column="ORDERBY" property="orderby" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        ID, LABORNUM, LABORNAME, CRAFT, DEPTNUM, CREWID, JOBCODE, EMPLOYEETYPE, CALNUM, SHIFTNUM, ENABLED, EMAIL, WKADDRESS, POSTNUM, HOMEADDRESS, PHONENUM, MPHONE, HOMEPHONE, PAYRATE, OTSCALE, BIRTHDATE, HIREDATE, OUTSIDE, GLACCOUNT, VENDOR, SUPERVISOR, DEFAULTSTORELOC, CONSIGN, CONSIGSDATE, CONSIGEDATE, NAVMENUTYPE, SITENUM, CORPNUM, DEFAULTLOC, AUTHALLDEPT, AUTHDEPT, SHOWMIND, ORDERBY
    </sql>

</mapper>
